Method: instances.generateThreatDetectionOpportunity

Full name: projects.locations.instances.generateThreatDetectionOpportunity

instances.generateThreatDetectionOpportunity generates a Threat Detection Opportunity (TDO).

HTTP request

POST https://{endpoint}/v1alpha/{instance}:generateThreatDetectionOpportunity

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
instance

string

Required. The Chronicle instance associated with the Threat Detection Opportunity. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body contains data with the following structure:

JSON representation
{
  "threat": string
}
Fields
threat

string

Required. The threat to generate a Threat Detection Opportunity for - free-form user input.

Response body

Response message for instances.generateThreatDetectionOpportunity.

If successful, the response body contains data with the following structure:

JSON representation
{
  "instance": string,
  "threatDetectionOpportunities": [
    {
      object (ThreatDetectionOpportunity)
    }
  ]
}
Fields
instance

string

The Chronicle instance associated with the Threat Detection Opportunity. Format: projects/{project}/locations/{location}/instances/{instance}

threatDetectionOpportunities[]

object (ThreatDetectionOpportunity)

The generated Threat Detection Opportunities.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.